List All Dependents
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"created": 1557512389,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
"modified": 1547412389,
"person": {
"contact": {
"email_address": "diane@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1982-01-02",
"first_name": "Diane",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse",
"version": "669fbe16-9960-4069-91aa-832ada3f4e42"
}
]
}Dependents
Get Dependent List
Returns a list of all dependents for a given employee.
GET
/
api
/
v1
/
employees
/
{employee_id}
/
dependents
List All Dependents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the employee for which you would like to view dependents
Example:
"30b74a44-d5b1-4123-a7a4-6d3aec251ba4"
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
Was this page helpful?
⌘I
